import { Config } from "./interfaces/Config";
import { QuickSendMessage } from "./interfaces/QuickSendMessage";
import { SendMessage } from "./interfaces/SendMessage";
import { ScheduleMessage } from "./interfaces/ScheduleMessage";
import { SendMessageResponse } from "./interfaces/SendMessageResponse";
import { Message } from "./interfaces/Message";
import { QueryMessageResponse } from "./interfaces/QueryMessageResponse";
import { CancelScheduledMessageResponse } from "./interfaces/CancelScheduledMessageResponse";
export declare class HubtelSms {
    private readonly config;
    private headers;
    constructor(config: Partial<Config>);
    /**
     * @async
     * @param {QuickSendMessage} QuickSendMessage
     * @returns {Promise<SendMessageResponse>} Promise<SendMessageResponse>
     */
    quickSend: (data: QuickSendMessage) => Promise<SendMessageResponse>;
    /**
     * @async
     * @param {SendMessage} SendMessage
     * @returns {Promise<SendMessageResponse>} Promise<SendMessageResponse>
     */
    sendMessage: (data: SendMessage) => Promise<SendMessageResponse>;
    /**
     * @async
     * @param {string} MessageId
     * @returns {Promise<Message>} Promise<Message>
     */
    getMessage: (MessageId: string) => Promise<Message>;
    /**
     * @async
     * @returns {Promise<QueryMessageResponse>} Promise<QueryMessageResponse>
     */
    queryMessage: () => Promise<QueryMessageResponse>;
    /**
     * @async
     * @param {ScheduleMessage} ScheduleMessage
     * @returns {Promise<SendMessageResponse>} Promise<SendMessageResponse>
     */
    scheduleMessage: (data: ScheduleMessage) => Promise<SendMessageResponse>;
    /**
     * @async
     * @param {string} MessageId
     * @param {string} Time
     * @returns {Promise<SendMessageResponse>} Promise<SendMessageResponse>
     */
    rescheduleScheduledMessage: (MessageId: string, Time: string) => Promise<SendMessageResponse>;
    /**
     * @async
     * @param {string} MessageId
     * @returns {Promise<CancelScheduledMessageResponse>} Promise<CancelScheduledMessageResponse>
     */
    cancelScheduledMessage: (MessageId: string) => Promise<CancelScheduledMessageResponse>;
}
